# frozen_string_literal: true

Gem::Specification.new do |s|
  s.name        = 'mutual_recursion'
  s.version     = '0.0.1'
  s.date        = '2019-01-27'
  s.summary     = 'Mutual Recursion for Ruby'
  s.description = 'Tail call optimization for mutually and directly recursive functions.'
  s.authors     = ['Mike Cifelli']
  s.files       = ['lib/mutual_recursion.rb']
  s.homepage    = 'https://gitlab.com/mike-cifelli/mutual_recursion'
  s.license     = 'MIT'
  s.required_ruby_version = '>= 2.6.0'
end
